<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
          <groupId>org.xyzh</groupId>
          <artifactId>common</artifactId>
          <version>1.0.0</version>
    </parent>

    <groupId>org.xyzh</groupId>
    <artifactId>common-core</artifactId>
    <version>1.0.0</version>
    <packaging>jar</packaging>
    <properties>
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>common-dto</artifactId>
        </dependency>
        
        <!-- JWT API - 仅接口定义，具体实现由auth模块提供 -->
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt-api</artifactId>
            <scope>provided</scope>
        </dependency>
    </dependencies>
</project>